felix-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Marcel Offermans <marcel.offerm...@luminis.nl>
Subject Re: Moving bnd to Java 5 ...
Date Tue, 09 Oct 2007 11:15:24 GMT
On Oct 9, 2007, at 12:29 , Felix Meschberger wrote:

> One single problem remains, when having to compile for older  
> platforms:
> Even though the class file comes out as compatible, the class may  
> refer
> to classes/methods not available on the older platform. But this is  
> for
> this other thread discussing about the possibilities to compile using
> one of the OSGi provided packages instead of the default rt.jar.

Exactly, we need to be able to specify execution environments as  
targets for the Java compiler. In fact, we might even want to  
specifically be able to target different execution environments  
simultaneously (but that's another issue). Having our toolchain be  
Java 5 does not really affect this issue (which is already present now).

Greetings, Marcel

View raw message